Subject: Re: bug#1974: 23.0.60; gnus writes customize file

From: Glenn Morris <[email-masked]>
Date: Tue, 20 Jan 2009 21:33:19 -0500

reassign 1974 emacs,gnus
stop

[email-masked] wrote:

> When using gnus, I find that it tries to write out my customize
> preferences whenever I send a message.  This is bloody annoying, as
> .emacs is version-controlled, and I do not *have* any
> customize-managed preferences.

Why not just check it in after the first time it happens, then forget
about it? It will never happen again. Optionally, first migrate the
canlock-password setting to a setq form, and delete the customize
section.

I don't really see what Gnus could do differently here.

> |  '(canlock-password "..."))

Disable message-insert-canlock if you don't want this (5+ year old?) feature.

See (gnus)Canceling News.